Axis2/C: axis2_transport_sender_ops Struct Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axis2_transport_sender_ops Struct Reference
[transport sender]

Description Transport Sender ops struct Encapsulator struct for ops of axis2_transport_sender. More...

`#include <axis2_transport_sender.h>`

List of all members.

## Public Attributes
axis2_status_t(* | init )(axis2_transport_sender_t *transport_sender, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_out_desc *transport_out)
axis2_status_t(* | invoke )(axis2_transport_sender_t *transport_sender, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)
axis2_status_t(* | cleanup )(axis2_transport_sender_t *transport_sender, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)
void(* | free )(axis2_transport_sender_t *transport_sender, const axutil_env_t *env)

## Detailed Description

Description Transport Sender ops struct Encapsulator struct for ops of axis2_transport_sender.

## Member Data Documentation

axis2_status_t( * axis2_transport_sender_ops::init)(axis2_transport_sender_t *transport_sender, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_out_desc *transport_out)

Initialize

Parameters:

  | transport_sender | pointer to transport sender
  | env | pointer to environment
  | conf_ctx | pointer to configuration context
  | transport_out | pointer to transport_out

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

axis2_status_t( * axis2_transport_sender_ops::invoke)(axis2_transport_sender_t *transport_sender, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)

Invoke

Parameters:

  | transport_sender | pointer to transport sender
  | env | pointer to environment struct
  | msg_ctx | pointer to message context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

axis2_status_t( * axis2_transport_sender_ops::cleanup)(axis2_transport_sender_t *transport_sender, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)

Clean up

Parameters:

  | transport_sender | pointer to transport sender
  | env | pointer to environmnet struct
  | msg_ctx | pointer to message context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

void( * axis2_transport_sender_ops::free)(axis2_transport_sender_t *transport_sender, const axutil_env_t *env)

De-allocate memory

Parameters:

  | transport_sender | pointer to transport sender
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

The documentation for this struct was generated from the following file:

- axis2_transport_sender.h